# Class FastLeaderElection.Messenger

java.lang.Object
org.apache.zookeeper.server.quorum.FastLeaderElection.Messenger

Enclosing class:
  `FastLeaderElection`

protected class FastLeaderElection.Messenger extends Object
Multi-threaded implementation of message handler. Messenger implements two sub-classes: WorkReceiver and WorkSender. The functionality of each is obvious from the name. Each of these spawns a new thread.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`